org.apache.tinkerpop.gremlin.language.grammar

## Interface GremlinVisitor<T>

- Type Parameters:
    `T` - The return type of the visit operation. Use `Void` for operations with no return type.
  All Superinterfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<T>
  All Known Implementing Classes:
    GenericLiteralVisitor, GraphTraversalSourceVisitor, GremlinAntlrToJava, GremlinBaseVisitor, GremlinStringConstantsVisitor, NestedTraversalSourceListVisitor, NoOpTerminalVisitor, TerminalMethodToBytecodeVisitor, TraversalFunctionVisitor, TraversalMethodVisitor, TraversalPredicateVisitor, TraversalRootVisitor, TraversalSourceSelfMethodVisitor, TraversalSourceSpawnMethodVisitor, TraversalSourceTxVisitor, TraversalStrategyVisitor, TraversalTerminalMethodVisitor

      public interface GremlinVisitor<T>
      extends org.antlr.v4.runtime.tree.ParseTreeVisitor<T>

  This interface defines a complete generic visitor for a parse tree produced by `GremlinParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitBooleanLiteral(GremlinParser.BooleanLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.booleanLiteral()`.
    `T` | `visitChainedParentOfGraphTraversal(GremlinParser.ChainedParentOfGraphTraversalContext ctx)` Visit a parse tree produced by `GremlinParser.chainedParentOfGraphTraversal()`.
    `T` | `visitChainedTraversal(GremlinParser.ChainedTraversalContext ctx)` Visit a parse tree produced by `GremlinParser.chainedTraversal()`.
    `T` | `visitConnectedComponentConstants(GremlinParser.ConnectedComponentConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.connectedComponentConstants()`.
    `T` | `visitConnectedComponentStringConstant(GremlinParser.ConnectedComponentStringConstantContext ctx)` Visit a parse tree produced by `GremlinParser.connectedComponentStringConstant()`.
    `T` | `visitDateLiteral(GremlinParser.DateLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.dateLiteral()`.
    `T` | `visitEmptyQuery(GremlinParser.EmptyQueryContext ctx)` Visit a parse tree produced by `GremlinParser.emptyQuery()`.
    `T` | `visitFloatLiteral(GremlinParser.FloatLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.floatLiteral()`.
    `T` | `visitGenericLiteral(GremlinParser.GenericLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteral()`.
    `T` | `visitGenericLiteralCollection(GremlinParser.GenericLiteralCollectionContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralCollection()`.
    `T` | `visitGenericLiteralExpr(GremlinParser.GenericLiteralExprContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralExpr()`.
    `T` | `visitGenericLiteralList(GremlinParser.GenericLiteralListContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralList()`.
    `T` | `visitGenericLiteralMap(GremlinParser.GenericLiteralMapContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralMap()`.
    `T` | `visitGenericLiteralRange(GremlinParser.GenericLiteralRangeContext ctx)` Visit a parse tree produced by `GremlinParser.genericLiteralRange()`.
    `T` | `visitGremlinStringConstants_connectedComponentStringConstants_component(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_component()`.
    `T` | `visitGremlinStringConstants_connectedComponentStringConstants_edges(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_edges()`.
    `T` | `visitGremlinStringConstants_connectedComponentStringConstants_propertyName(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_propertyName()`.
    `T` | `visitGremlinStringConstants_ioOptionsStringConstants_graphml(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphml()`.
    `T` | `visitGremlinStringConstants_ioOptionsStringConstants_graphson(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphson()`.
    `T` | `visitGremlinStringConstants_ioOptionsStringConstants_gryo(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_gryo()`.
    `T` | `visitGremlinStringConstants_ioOptionsStringConstants_reader(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_reader()`.
    `T` | `visitGremlinStringConstants_ioOptionsStringConstants_writer(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_writer()`.
    `T` | `visitGremlinStringConstants_pageRankStringConstants_edges(GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_edges()`.
    `T` | `visitGremlinStringConstants_pageRankStringConstants_propertyName(GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_propertyName()`.
    `T` | `visitGremlinStringConstants_pageRankStringConstants_times(GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_times()`.
    `T` | `visitGremlinStringConstants_peerPressureStringConstants_edges(GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_edges()`.
    `T` | `visitGremlinStringConstants_peerPressureStringConstants_propertyName(GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_propertyName()`.
    `T` | `visitGremlinStringConstants_peerPressureStringConstants_times(GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_times()`.
    `T` | `visitGremlinStringConstants_shortestPathStringConstants_distance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_distance()`.
    `T` | `visitGremlinStringConstants_shortestPathStringConstants_edges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_edges()`.
    `T` | `visitGremlinStringConstants_shortestPathStringConstants_includeEdges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_includeEdges()`.
    `T` | `visitGremlinStringConstants_shortestPathStringConstants_maxDistance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_maxDistance()`.
    `T` | `visitGremlinStringConstants_shortestPathStringConstants_target(GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_target()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_all(GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_all()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_ids(GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_ids()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_indexer(GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_indexer()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_keys(GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_keys()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_labels(GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_labels()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_list(GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_list()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_map(GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_map()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_none(GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_none()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_tokens(GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_tokens()`.
    `T` | `visitGremlinStringConstants_withOptionsStringConstants_values(GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_values()`.
    `T` | `visitGremlinStringConstants(GremlinParser.GremlinStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.gremlinStringConstants()`.
    `T` | `visitIntegerLiteral(GremlinParser.IntegerLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.integerLiteral()`.
    `T` | `visitIoOptionsStringConstant(GremlinParser.IoOptionsStringConstantContext ctx)` Visit a parse tree produced by `GremlinParser.ioOptionsStringConstant()`.
    `T` | `visitIoOptionsStringConstants(GremlinParser.IoOptionsStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.ioOptionsStringConstants()`.
    `T` | `visitNestedTraversal(GremlinParser.NestedTraversalContext ctx)` Visit a parse tree produced by `GremlinParser.nestedTraversal()`.
    `T` | `visitNestedTraversalExpr(GremlinParser.NestedTraversalExprContext ctx)` Visit a parse tree produced by `GremlinParser.nestedTraversalExpr()`.
    `T` | `visitNestedTraversalList(GremlinParser.NestedTraversalListContext ctx)` Visit a parse tree produced by `GremlinParser.nestedTraversalList()`.
    `T` | `visitNullLiteral(GremlinParser.NullLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.nullLiteral()`.
    `T` | `visitPageRankStringConstant(GremlinParser.PageRankStringConstantContext ctx)` Visit a parse tree produced by `GremlinParser.pageRankStringConstant()`.
    `T` | `visitPageRankStringConstants(GremlinParser.PageRankStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.pageRankStringConstants()`.
    `T` | `visitPeerPressureStringConstant(GremlinParser.PeerPressureStringConstantContext ctx)` Visit a parse tree produced by `GremlinParser.peerPressureStringConstant()`.
    `T` | `visitPeerPressureStringConstants(GremlinParser.PeerPressureStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.peerPressureStringConstants()`.
    `T` | `visitQuery(GremlinParser.QueryContext ctx)` Visit a parse tree produced by `GremlinParser.query()`.
    `T` | `visitQueryList(GremlinParser.QueryListContext ctx)` Visit a parse tree produced by `GremlinParser.queryList()`.
    `T` | `visitRootTraversal(GremlinParser.RootTraversalContext ctx)` Visit a parse tree produced by `GremlinParser.rootTraversal()`.
    `T` | `visitShortestPathStringConstant(GremlinParser.ShortestPathStringConstantContext ctx)` Visit a parse tree produced by `GremlinParser.shortestPathStringConstant()`.
    `T` | `visitShortestPathStringConstants(GremlinParser.ShortestPathStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.shortestPathStringConstants()`.
    `T` | `visitStringLiteral(GremlinParser.StringLiteralContext ctx)` Visit a parse tree produced by `GremlinParser.stringLiteral()`.
    `T` | `visitStringLiteralExpr(GremlinParser.StringLiteralExprContext ctx)` Visit a parse tree produced by `GremlinParser.stringLiteralExpr()`.
    `T` | `visitStringLiteralList(GremlinParser.StringLiteralListContext ctx)` Visit a parse tree produced by `GremlinParser.stringLiteralList()`.
    `T` | `visitTerminatedTraversal(GremlinParser.TerminatedTraversalContext ctx)` Visit a parse tree produced by `GremlinParser.terminatedTraversal()`.
    `T` | `visitTransactionPart(GremlinParser.TransactionPartContext ctx)` Visit a parse tree produced by `GremlinParser.transactionPart()`.
    `T` | `visitTraversalBiFunction(GremlinParser.TraversalBiFunctionContext ctx)` Visit a parse tree produced by `GremlinParser.traversalBiFunction()`.
    `T` | `visitTraversalCardinality(GremlinParser.TraversalCardinalityContext ctx)` Visit a parse tree produced by `GremlinParser.traversalCardinality()`.
    `T` | `visitTraversalColumn(GremlinParser.TraversalColumnContext ctx)` Visit a parse tree produced by `GremlinParser.traversalColumn()`.
    `T` | `visitTraversalComparator(GremlinParser.TraversalComparatorContext ctx)` Visit a parse tree produced by `GremlinParser.traversalComparator()`.
    `T` | `visitTraversalDirection(GremlinParser.TraversalDirectionContext ctx)` Visit a parse tree produced by `GremlinParser.traversalDirection()`.
    `T` | `visitTraversalFunction(GremlinParser.TraversalFunctionContext ctx)` Visit a parse tree produced by `GremlinParser.traversalFunction()`.
    `T` | `visitTraversalMethod_addE_String(GremlinParser.TraversalMethod_addE_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_addE_String` labeled alternative in `GremlinParser.traversalMethod_addE()`.
    `T` | `visitTraversalMethod_addE_Traversal(GremlinParser.TraversalMethod_addE_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_addE_Traversal` labeled alternative in `GremlinParser.traversalMethod_addE()`.
    `T` | `visitTraversalMethod_addV_Empty(GremlinParser.TraversalMethod_addV_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_addV_Empty` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `T` | `visitTraversalMethod_addV_String(GremlinParser.TraversalMethod_addV_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_addV_String` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `T` | `visitTraversalMethod_addV_Traversal(GremlinParser.TraversalMethod_addV_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_addV_Traversal` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `T` | `visitTraversalMethod_aggregate_Scope_String(GremlinParser.TraversalMethod_aggregate_Scope_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_aggregate_Scope_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
    `T` | `visitTraversalMethod_aggregate_String(GremlinParser.TraversalMethod_aggregate_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_aggregate_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
    `T` | `visitTraversalMethod_and(GremlinParser.TraversalMethod_andContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_and()`.
    `T` | `visitTraversalMethod_as(GremlinParser.TraversalMethod_asContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_as()`.
    `T` | `visitTraversalMethod_barrier_Consumer(GremlinParser.TraversalMethod_barrier_ConsumerContext ctx)` Visit a parse tree produced by the `traversalMethod_barrier_Consumer` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `T` | `visitTraversalMethod_barrier_Empty(GremlinParser.TraversalMethod_barrier_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_barrier_Empty` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `T` | `visitTraversalMethod_barrier_int(GremlinParser.TraversalMethod_barrier_intContext ctx)` Visit a parse tree produced by the `traversalMethod_barrier_int` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `T` | `visitTraversalMethod_both(GremlinParser.TraversalMethod_bothContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_both()`.
    `T` | `visitTraversalMethod_bothE(GremlinParser.TraversalMethod_bothEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_bothE()`.
    `T` | `visitTraversalMethod_bothV(GremlinParser.TraversalMethod_bothVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_bothV()`.
    `T` | `visitTraversalMethod_branch(GremlinParser.TraversalMethod_branchContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_branch()`.
    `T` | `visitTraversalMethod_by_Comparator(GremlinParser.TraversalMethod_by_ComparatorContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_Empty(GremlinParser.TraversalMethod_by_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Empty` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_Function_Comparator(GremlinParser.TraversalMethod_by_Function_ComparatorContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Function_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_Function(GremlinParser.TraversalMethod_by_FunctionContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Function` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_Order(GremlinParser.TraversalMethod_by_OrderContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Order` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_String_Comparator(GremlinParser.TraversalMethod_by_String_ComparatorContext ctx)` Visit a parse tree produced by the `traversalMethod_by_String_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_String(GremlinParser.TraversalMethod_by_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_by_String` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_T(GremlinParser.TraversalMethod_by_TContext ctx)` Visit a parse tree produced by the `traversalMethod_by_T` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_Traversal_Comparator(GremlinParser.TraversalMethod_by_Traversal_ComparatorContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Traversal_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_by_Traversal(GremlinParser.TraversalMethod_by_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Traversal` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `T` | `visitTraversalMethod_cap(GremlinParser.TraversalMethod_capContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_cap()`.
    `T` | `visitTraversalMethod_choose_Function(GremlinParser.TraversalMethod_choose_FunctionContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Function` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `T` | `visitTraversalMethod_choose_Predicate_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `T` | `visitTraversalMethod_choose_Predicate_Traversal(GremlinParser.TraversalMethod_choose_Predicate_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `T` | `visitTraversalMethod_choose_Traversal_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `T` | `visitTraversalMethod_choose_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `T` | `visitTraversalMethod_choose_Traversal(GremlinParser.TraversalMethod_choose_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `T` | `visitTraversalMethod_coalesce(GremlinParser.TraversalMethod_coalesceContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_coalesce()`.
    `T` | `visitTraversalMethod_coin(GremlinParser.TraversalMethod_coinContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_coin()`.
    `T` | `visitTraversalMethod_connectedComponent(GremlinParser.TraversalMethod_connectedComponentContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_connectedComponent()`.
    `T` | `visitTraversalMethod_constant(GremlinParser.TraversalMethod_constantContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_constant()`.
    `T` | `visitTraversalMethod_count_Empty(GremlinParser.TraversalMethod_count_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_count_Empty` labeled alternative in `GremlinParser.traversalMethod_count()`.
    `T` | `visitTraversalMethod_count_Scope(GremlinParser.TraversalMethod_count_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_count_Scope` labeled alternative in `GremlinParser.traversalMethod_count()`.
    `T` | `visitTraversalMethod_cyclicPath(GremlinParser.TraversalMethod_cyclicPathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_cyclicPath()`.
    `T` | `visitTraversalMethod_dedup_Scope_String(GremlinParser.TraversalMethod_dedup_Scope_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_dedup_Scope_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
    `T` | `visitTraversalMethod_dedup_String(GremlinParser.TraversalMethod_dedup_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_dedup_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
    `T` | `visitTraversalMethod_drop(GremlinParser.TraversalMethod_dropContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_drop()`.
    `T` | `visitTraversalMethod_elementMap(GremlinParser.TraversalMethod_elementMapContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_elementMap()`.
    `T` | `visitTraversalMethod_emit_Empty(GremlinParser.TraversalMethod_emit_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_emit_Empty` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `T` | `visitTraversalMethod_emit_Predicate(GremlinParser.TraversalMethod_emit_PredicateContext ctx)` Visit a parse tree produced by the `traversalMethod_emit_Predicate` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `T` | `visitTraversalMethod_emit_Traversal(GremlinParser.TraversalMethod_emit_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_emit_Traversal` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `T` | `visitTraversalMethod_filter_Predicate(GremlinParser.TraversalMethod_filter_PredicateContext ctx)` Visit a parse tree produced by the `traversalMethod_filter_Predicate` labeled alternative in `GremlinParser.traversalMethod_filter()`.
    `T` | `visitTraversalMethod_filter_Traversal(GremlinParser.TraversalMethod_filter_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_filter_Traversal` labeled alternative in `GremlinParser.traversalMethod_filter()`.
    `T` | `visitTraversalMethod_flatMap(GremlinParser.TraversalMethod_flatMapContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_flatMap()`.
    `T` | `visitTraversalMethod_fold_Empty(GremlinParser.TraversalMethod_fold_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_fold_Empty` labeled alternative in `GremlinParser.traversalMethod_fold()`.
    `T` | `visitTraversalMethod_fold_Object_BiFunction(GremlinParser.TraversalMethod_fold_Object_BiFunctionContext ctx)` Visit a parse tree produced by the `traversalMethod_fold_Object_BiFunction` labeled alternative in `GremlinParser.traversalMethod_fold()`.
    `T` | `visitTraversalMethod_from_String(GremlinParser.TraversalMethod_from_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_from_String` labeled alternative in `GremlinParser.traversalMethod_from()`.
    `T` | `visitTraversalMethod_from_Traversal(GremlinParser.TraversalMethod_from_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_from_Traversal` labeled alternative in `GremlinParser.traversalMethod_from()`.
    `T` | `visitTraversalMethod_group_Empty(GremlinParser.TraversalMethod_group_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_group_Empty` labeled alternative in `GremlinParser.traversalMethod_group()`.
    `T` | `visitTraversalMethod_group_String(GremlinParser.TraversalMethod_group_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_group_String` labeled alternative in `GremlinParser.traversalMethod_group()`.
    `T` | `visitTraversalMethod_groupCount_Empty(GremlinParser.TraversalMethod_groupCount_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_groupCount_Empty` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
    `T` | `visitTraversalMethod_groupCount_String(GremlinParser.TraversalMethod_groupCount_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_groupCount_String` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
    `T` | `visitTraversalMethod_has_String_Object(GremlinParser.TraversalMethod_has_String_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_has_String_P(GremlinParser.TraversalMethod_has_String_PContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_has_String_String_Object(GremlinParser.TraversalMethod_has_String_String_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_has_String_String_P(GremlinParser.TraversalMethod_has_String_String_PContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_has_String_Traversal(GremlinParser.TraversalMethod_has_String_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_has_String(GremlinParser.TraversalMethod_has_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_has_T_Object(GremlinParser.TraversalMethod_has_T_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_has_T_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_has_T_P(GremlinParser.TraversalMethod_has_T_PContext ctx)` Visit a parse tree produced by the `traversalMethod_has_T_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_has_T_Traversal(GremlinParser.TraversalMethod_has_T_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_has_T_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `T` | `visitTraversalMethod_hasId_Object_Object(GremlinParser.TraversalMethod_hasId_Object_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_hasId_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
    `T` | `visitTraversalMethod_hasId_P(GremlinParser.TraversalMethod_hasId_PContext ctx)` Visit a parse tree produced by the `traversalMethod_hasId_P` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
    `T` | `visitTraversalMethod_hasKey_P(GremlinParser.TraversalMethod_hasKey_PContext ctx)` Visit a parse tree produced by the `traversalMethod_hasKey_P` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
    `T` | `visitTraversalMethod_hasKey_String_String(GremlinParser.TraversalMethod_hasKey_String_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_hasKey_String_String` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
    `T` | `visitTraversalMethod_hasLabel_P(GremlinParser.TraversalMethod_hasLabel_PContext ctx)` Visit a parse tree produced by the `traversalMethod_hasLabel_P` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
    `T` | `visitTraversalMethod_hasLabel_String_String(GremlinParser.TraversalMethod_hasLabel_String_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_hasLabel_String_String` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
    `T` | `visitTraversalMethod_hasNot(GremlinParser.TraversalMethod_hasNotContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_hasNot()`.
    `T` | `visitTraversalMethod_hasValue_Object_Object(GremlinParser.TraversalMethod_hasValue_Object_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_hasValue_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
    `T` | `visitTraversalMethod_hasValue_P(GremlinParser.TraversalMethod_hasValue_PContext ctx)` Visit a parse tree produced by the `traversalMethod_hasValue_P` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
    `T` | `visitTraversalMethod_id(GremlinParser.TraversalMethod_idContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_id()`.
    `T` | `visitTraversalMethod_identity(GremlinParser.TraversalMethod_identityContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_identity()`.
    `T` | `visitTraversalMethod_in(GremlinParser.TraversalMethod_inContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_in()`.
    `T` | `visitTraversalMethod_index(GremlinParser.TraversalMethod_indexContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_index()`.
    `T` | `visitTraversalMethod_inE(GremlinParser.TraversalMethod_inEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_inE()`.
    `T` | `visitTraversalMethod_inject(GremlinParser.TraversalMethod_injectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_inject()`.
    `T` | `visitTraversalMethod_inV(GremlinParser.TraversalMethod_inVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_inV()`.
    `T` | `visitTraversalMethod_is_Object(GremlinParser.TraversalMethod_is_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_is_Object` labeled alternative in `GremlinParser.traversalMethod_is()`.
    `T` | `visitTraversalMethod_is_P(GremlinParser.TraversalMethod_is_PContext ctx)` Visit a parse tree produced by the `traversalMethod_is_P` labeled alternative in `GremlinParser.traversalMethod_is()`.
    `T` | `visitTraversalMethod_key(GremlinParser.TraversalMethod_keyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_key()`.
    `T` | `visitTraversalMethod_label(GremlinParser.TraversalMethod_labelContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_label()`.
    `T` | `visitTraversalMethod_limit_long(GremlinParser.TraversalMethod_limit_longContext ctx)` Visit a parse tree produced by the `traversalMethod_limit_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
    `T` | `visitTraversalMethod_limit_Scope_long(GremlinParser.TraversalMethod_limit_Scope_longContext ctx)` Visit a parse tree produced by the `traversalMethod_limit_Scope_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
    `T` | `visitTraversalMethod_local(GremlinParser.TraversalMethod_localContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_local()`.
    `T` | `visitTraversalMethod_loops_Empty(GremlinParser.TraversalMethod_loops_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_loops_Empty` labeled alternative in `GremlinParser.traversalMethod_loops()`.
    `T` | `visitTraversalMethod_loops_String(GremlinParser.TraversalMethod_loops_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_loops_String` labeled alternative in `GremlinParser.traversalMethod_loops()`.
    `T` | `visitTraversalMethod_map(GremlinParser.TraversalMethod_mapContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_map()`.
    `T` | `visitTraversalMethod_match(GremlinParser.TraversalMethod_matchContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_match()`.
    `T` | `visitTraversalMethod_math(GremlinParser.TraversalMethod_mathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_math()`.
    `T` | `visitTraversalMethod_max_Empty(GremlinParser.TraversalMethod_max_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_max_Empty` labeled alternative in `GremlinParser.traversalMethod_max()`.
    `T` | `visitTraversalMethod_max_Scope(GremlinParser.TraversalMethod_max_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_max_Scope` labeled alternative in `GremlinParser.traversalMethod_max()`.
    `T` | `visitTraversalMethod_mean_Empty(GremlinParser.TraversalMethod_mean_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_mean_Empty` labeled alternative in `GremlinParser.traversalMethod_mean()`.
    `T` | `visitTraversalMethod_mean_Scope(GremlinParser.TraversalMethod_mean_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_mean_Scope` labeled alternative in `GremlinParser.traversalMethod_mean()`.
    `T` | `visitTraversalMethod_min_Empty(GremlinParser.TraversalMethod_min_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_min_Empty` labeled alternative in `GremlinParser.traversalMethod_min()`.
    `T` | `visitTraversalMethod_min_Scope(GremlinParser.TraversalMethod_min_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_min_Scope` labeled alternative in `GremlinParser.traversalMethod_min()`.
    `T` | `visitTraversalMethod_not(GremlinParser.TraversalMethod_notContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_not()`.
    `T` | `visitTraversalMethod_option_Object_Traversal(GremlinParser.TraversalMethod_option_Object_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_option_Object_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `T` | `visitTraversalMethod_option_Predicate_Traversal(GremlinParser.TraversalMethod_option_Predicate_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_option_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `T` | `visitTraversalMethod_option_Traversal(GremlinParser.TraversalMethod_option_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_option_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `T` | `visitTraversalMethod_optional(GremlinParser.TraversalMethod_optionalContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_optional()`.
    `T` | `visitTraversalMethod_or(GremlinParser.TraversalMethod_orContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_or()`.
    `T` | `visitTraversalMethod_order_Empty(GremlinParser.TraversalMethod_order_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_order_Empty` labeled alternative in `GremlinParser.traversalMethod_order()`.
    `T` | `visitTraversalMethod_order_Scope(GremlinParser.TraversalMethod_order_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_order_Scope` labeled alternative in `GremlinParser.traversalMethod_order()`.
    `T` | `visitTraversalMethod_otherV(GremlinParser.TraversalMethod_otherVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_otherV()`.
    `T` | `visitTraversalMethod_out(GremlinParser.TraversalMethod_outContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_out()`.
    `T` | `visitTraversalMethod_outE(GremlinParser.TraversalMethod_outEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_outE()`.
    `T` | `visitTraversalMethod_outV(GremlinParser.TraversalMethod_outVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_outV()`.
    `T` | `visitTraversalMethod_pageRank_double(GremlinParser.TraversalMethod_pageRank_doubleContext ctx)` Visit a parse tree produced by the `traversalMethod_pageRank_double` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
    `T` | `visitTraversalMethod_pageRank_Empty(GremlinParser.TraversalMethod_pageRank_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_pageRank_Empty` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
    `T` | `visitTraversalMethod_path(GremlinParser.TraversalMethod_pathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_path()`.
    `T` | `visitTraversalMethod_peerPressure(GremlinParser.TraversalMethod_peerPressureContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_peerPressure()`.
    `T` | `visitTraversalMethod_profile_Empty(GremlinParser.TraversalMethod_profile_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_profile_Empty` labeled alternative in `GremlinParser.traversalMethod_profile()`.
    `T` | `visitTraversalMethod_profile_String(GremlinParser.TraversalMethod_profile_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_profile_String` labeled alternative in `GremlinParser.traversalMethod_profile()`.
    `T` | `visitTraversalMethod_project(GremlinParser.TraversalMethod_projectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_project()`.
    `T` | `visitTraversalMethod_properties(GremlinParser.TraversalMethod_propertiesContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_properties()`.
    `T` | `visitTraversalMethod_property_Cardinality_Object_Object_Object(GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_property_Cardinality_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
    `T` | `visitTraversalMethod_property_Object_Object_Object(GremlinParser.TraversalMethod_property_Object_Object_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_property_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
    `T` | `visitTraversalMethod_propertyMap(GremlinParser.TraversalMethod_propertyMapContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_propertyMap()`.
    `T` | `visitTraversalMethod_range_long_long(GremlinParser.TraversalMethod_range_long_longContext ctx)` Visit a parse tree produced by the `traversalMethod_range_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
    `T` | `visitTraversalMethod_range_Scope_long_long(GremlinParser.TraversalMethod_range_Scope_long_longContext ctx)` Visit a parse tree produced by the `traversalMethod_range_Scope_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
    `T` | `visitTraversalMethod_read(GremlinParser.TraversalMethod_readContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_read()`.
    `T` | `visitTraversalMethod_repeat_String_Traversal(GremlinParser.TraversalMethod_repeat_String_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_repeat_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
    `T` | `visitTraversalMethod_repeat_Traversal(GremlinParser.TraversalMethod_repeat_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_repeat_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
    `T` | `visitTraversalMethod_sack_BiFunction(GremlinParser.TraversalMethod_sack_BiFunctionContext ctx)` Visit a parse tree produced by the `traversalMethod_sack_BiFunction` labeled alternative in `GremlinParser.traversalMethod_sack()`.
    `T` | `visitTraversalMethod_sack_Empty(GremlinParser.TraversalMethod_sack_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_sack_Empty` labeled alternative in `GremlinParser.traversalMethod_sack()`.
    `T` | `visitTraversalMethod_sample_int(GremlinParser.TraversalMethod_sample_intContext ctx)` Visit a parse tree produced by the `traversalMethod_sample_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
    `T` | `visitTraversalMethod_sample_Scope_int(GremlinParser.TraversalMethod_sample_Scope_intContext ctx)` Visit a parse tree produced by the `traversalMethod_sample_Scope_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
    `T` | `visitTraversalMethod_select_Column(GremlinParser.TraversalMethod_select_ColumnContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Column` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `T` | `visitTraversalMethod_select_Pop_String_String_String(GremlinParser.TraversalMethod_select_Pop_String_String_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Pop_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `T` | `visitTraversalMethod_select_Pop_String(GremlinParser.TraversalMethod_select_Pop_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Pop_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `T` | `visitTraversalMethod_select_Pop_Traversal(GremlinParser.TraversalMethod_select_Pop_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Pop_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `T` | `visitTraversalMethod_select_String_String_String(GremlinParser.TraversalMethod_select_String_String_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_select_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `T` | `visitTraversalMethod_select_String(GremlinParser.TraversalMethod_select_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_select_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `T` | `visitTraversalMethod_select_Traversal(GremlinParser.TraversalMethod_select_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `T` | `visitTraversalMethod_shortestPath(GremlinParser.TraversalMethod_shortestPathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_shortestPath()`.
    `T` | `visitTraversalMethod_sideEffect(GremlinParser.TraversalMethod_sideEffectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_sideEffect()`.
    `T` | `visitTraversalMethod_simplePath(GremlinParser.TraversalMethod_simplePathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_simplePath()`.
    `T` | `visitTraversalMethod_skip_long(GremlinParser.TraversalMethod_skip_longContext ctx)` Visit a parse tree produced by the `traversalMethod_skip_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
    `T` | `visitTraversalMethod_skip_Scope_long(GremlinParser.TraversalMethod_skip_Scope_longContext ctx)` Visit a parse tree produced by the `traversalMethod_skip_Scope_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
    `T` | `visitTraversalMethod_store(GremlinParser.TraversalMethod_storeContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_store()`.
    `T` | `visitTraversalMethod_subgraph(GremlinParser.TraversalMethod_subgraphContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_subgraph()`.
    `T` | `visitTraversalMethod_sum_Empty(GremlinParser.TraversalMethod_sum_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_sum_Empty` labeled alternative in `GremlinParser.traversalMethod_sum()`.
    `T` | `visitTraversalMethod_sum_Scope(GremlinParser.TraversalMethod_sum_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_sum_Scope` labeled alternative in `GremlinParser.traversalMethod_sum()`.
    `T` | `visitTraversalMethod_tail_Empty(GremlinParser.TraversalMethod_tail_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_tail_Empty` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `T` | `visitTraversalMethod_tail_long(GremlinParser.TraversalMethod_tail_longContext ctx)` Visit a parse tree produced by the `traversalMethod_tail_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `T` | `visitTraversalMethod_tail_Scope_long(GremlinParser.TraversalMethod_tail_Scope_longContext ctx)` Visit a parse tree produced by the `traversalMethod_tail_Scope_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `T` | `visitTraversalMethod_tail_Scope(GremlinParser.TraversalMethod_tail_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_tail_Scope` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `T` | `visitTraversalMethod_timeLimit(GremlinParser.TraversalMethod_timeLimitContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_timeLimit()`.
    `T` | `visitTraversalMethod_times(GremlinParser.TraversalMethod_timesContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_times()`.
    `T` | `visitTraversalMethod_to_Direction_String(GremlinParser.TraversalMethod_to_Direction_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_to_Direction_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `T` | `visitTraversalMethod_to_String(GremlinParser.TraversalMethod_to_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_to_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `T` | `visitTraversalMethod_to_Traversal(GremlinParser.TraversalMethod_to_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_to_Traversal` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `T` | `visitTraversalMethod_toE(GremlinParser.TraversalMethod_toEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_toE()`.
    `T` | `visitTraversalMethod_toV(GremlinParser.TraversalMethod_toVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_toV()`.
    `T` | `visitTraversalMethod_tree_Empty(GremlinParser.TraversalMethod_tree_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_tree_Empty` labeled alternative in `GremlinParser.traversalMethod_tree()`.
    `T` | `visitTraversalMethod_tree_String(GremlinParser.TraversalMethod_tree_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_tree_String` labeled alternative in `GremlinParser.traversalMethod_tree()`.
    `T` | `visitTraversalMethod_unfold(GremlinParser.TraversalMethod_unfoldContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_unfold()`.
    `T` | `visitTraversalMethod_union(GremlinParser.TraversalMethod_unionContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_union()`.
    `T` | `visitTraversalMethod_until_Predicate(GremlinParser.TraversalMethod_until_PredicateContext ctx)` Visit a parse tree produced by the `traversalMethod_until_Predicate` labeled alternative in `GremlinParser.traversalMethod_until()`.
    `T` | `visitTraversalMethod_until_Traversal(GremlinParser.TraversalMethod_until_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_until_Traversal` labeled alternative in `GremlinParser.traversalMethod_until()`.
    `T` | `visitTraversalMethod_V(GremlinParser.TraversalMethod_VContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_V()`.
    `T` | `visitTraversalMethod_value(GremlinParser.TraversalMethod_valueContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_value()`.
    `T` | `visitTraversalMethod_valueMap_boolean_String(GremlinParser.TraversalMethod_valueMap_boolean_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_valueMap_boolean_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
    `T` | `visitTraversalMethod_valueMap_String(GremlinParser.TraversalMethod_valueMap_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_valueMap_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
    `T` | `visitTraversalMethod_values(GremlinParser.TraversalMethod_valuesContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_values()`.
    `T` | `visitTraversalMethod_where_P(GremlinParser.TraversalMethod_where_PContext ctx)` Visit a parse tree produced by the `traversalMethod_where_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `T` | `visitTraversalMethod_where_String_P(GremlinParser.TraversalMethod_where_String_PContext ctx)` Visit a parse tree produced by the `traversalMethod_where_String_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `T` | `visitTraversalMethod_where_Traversal(GremlinParser.TraversalMethod_where_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_where_Traversal` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `T` | `visitTraversalMethod_with_String_Object(GremlinParser.TraversalMethod_with_String_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_with_String_Object` labeled alternative in `GremlinParser.traversalMethod_with()`.
    `T` | `visitTraversalMethod_with_String(GremlinParser.TraversalMethod_with_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_with_String` labeled alternative in `GremlinParser.traversalMethod_with()`.
    `T` | `visitTraversalMethod_write(GremlinParser.TraversalMethod_writeContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_write()`.
    `T` | `visitTraversalMethod(GremlinParser.TraversalMethodContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod()`.
    `T` | `visitTraversalOperator(GremlinParser.TraversalOperatorContext ctx)` Visit a parse tree produced by `GremlinParser.traversalOperator()`.
    `T` | `visitTraversalOptionParent(GremlinParser.TraversalOptionParentContext ctx)` Visit a parse tree produced by `GremlinParser.traversalOptionParent()`.
    `T` | `visitTraversalOrder(GremlinParser.TraversalOrderContext ctx)` Visit a parse tree produced by `GremlinParser.traversalOrder()`.
    `T` | `visitTraversalPop(GremlinParser.TraversalPopContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPop()`.
    `T` | `visitTraversalPredicate_between(GremlinParser.TraversalPredicate_betweenContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_between()`.
    `T` | `visitTraversalPredicate_containing(GremlinParser.TraversalPredicate_containingContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_containing()`.
    `T` | `visitTraversalPredicate_endingWith(GremlinParser.TraversalPredicate_endingWithContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_endingWith()`.
    `T` | `visitTraversalPredicate_eq(GremlinParser.TraversalPredicate_eqContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_eq()`.
    `T` | `visitTraversalPredicate_gt(GremlinParser.TraversalPredicate_gtContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_gt()`.
    `T` | `visitTraversalPredicate_gte(GremlinParser.TraversalPredicate_gteContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_gte()`.
    `T` | `visitTraversalPredicate_inside(GremlinParser.TraversalPredicate_insideContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_inside()`.
    `T` | `visitTraversalPredicate_lt(GremlinParser.TraversalPredicate_ltContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_lt()`.
    `T` | `visitTraversalPredicate_lte(GremlinParser.TraversalPredicate_lteContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_lte()`.
    `T` | `visitTraversalPredicate_neq(GremlinParser.TraversalPredicate_neqContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_neq()`.
    `T` | `visitTraversalPredicate_not(GremlinParser.TraversalPredicate_notContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_not()`.
    `T` | `visitTraversalPredicate_notContaining(GremlinParser.TraversalPredicate_notContainingContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_notContaining()`.
    `T` | `visitTraversalPredicate_notEndingWith(GremlinParser.TraversalPredicate_notEndingWithContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_notEndingWith()`.
    `T` | `visitTraversalPredicate_notStartingWith(GremlinParser.TraversalPredicate_notStartingWithContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_notStartingWith()`.
    `T` | `visitTraversalPredicate_outside(GremlinParser.TraversalPredicate_outsideContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_outside()`.
    `T` | `visitTraversalPredicate_startingWith(GremlinParser.TraversalPredicate_startingWithContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_startingWith()`.
    `T` | `visitTraversalPredicate_within(GremlinParser.TraversalPredicate_withinContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_within()`.
    `T` | `visitTraversalPredicate_without(GremlinParser.TraversalPredicate_withoutContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate_without()`.
    `T` | `visitTraversalPredicate(GremlinParser.TraversalPredicateContext ctx)` Visit a parse tree produced by `GremlinParser.traversalPredicate()`.
    `T` | `visitTraversalSackMethod(GremlinParser.TraversalSackMethodContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSackMethod()`.
    `T` | `visitTraversalScope(GremlinParser.TraversalScopeContext ctx)` Visit a parse tree produced by `GremlinParser.traversalScope()`.
    `T` | `visitTraversalSelfMethod_none(GremlinParser.TraversalSelfMethod_noneContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSelfMethod_none()`.
    `T` | `visitTraversalSelfMethod(GremlinParser.TraversalSelfMethodContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSelfMethod()`.
    `T` | `visitTraversalSource(GremlinParser.TraversalSourceContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSource()`.
    `T` | `visitTraversalSourceSelfMethod_with(GremlinParser.TraversalSourceSelfMethod_withContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_with()`.
    `T` | `visitTraversalSourceSelfMethod_withBulk(GremlinParser.TraversalSourceSelfMethod_withBulkContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withBulk()`.
    `T` | `visitTraversalSourceSelfMethod_withPath(GremlinParser.TraversalSourceSelfMethod_withPathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withPath()`.
    `T` | `visitTraversalSourceSelfMethod_withSack(GremlinParser.TraversalSourceSelfMethod_withSackContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSack()`.
    `T` | `visitTraversalSourceSelfMethod_withSideEffect(GremlinParser.TraversalSourceSelfMethod_withSideEffectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSideEffect()`.
    `T` | `visitTraversalSourceSelfMethod_withStrategies(GremlinParser.TraversalSourceSelfMethod_withStrategiesContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withStrategies()`.
    `T` | `visitTraversalSourceSelfMethod(GremlinParser.TraversalSourceSelfMethodContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod()`.
    `T` | `visitTraversalSourceSpawnMethod_addE(GremlinParser.TraversalSourceSpawnMethod_addEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addE()`.
    `T` | `visitTraversalSourceSpawnMethod_addV(GremlinParser.TraversalSourceSpawnMethod_addVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addV()`.
    `T` | `visitTraversalSourceSpawnMethod_E(GremlinParser.TraversalSourceSpawnMethod_EContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_E()`.
    `T` | `visitTraversalSourceSpawnMethod_inject(GremlinParser.TraversalSourceSpawnMethod_injectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_inject()`.
    `T` | `visitTraversalSourceSpawnMethod_io(GremlinParser.TraversalSourceSpawnMethod_ioContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_io()`.
    `T` | `visitTraversalSourceSpawnMethod_V(GremlinParser.TraversalSourceSpawnMethod_VContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_V()`.
    `T` | `visitTraversalSourceSpawnMethod(GremlinParser.TraversalSourceSpawnMethodContext ctx)` Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod()`.
    `T` | `visitTraversalStrategy(GremlinParser.TraversalStrategyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategy()`.
    `T` | `visitTraversalStrategyArgs_EdgeLabelVerificationStrategy(GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_EdgeLabelVerificationStrategy()`.
    `T` | `visitTraversalStrategyArgs_PartitionStrategy(GremlinParser.TraversalStrategyArgs_PartitionStrategyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_PartitionStrategy()`.
    `T` | `visitTraversalStrategyArgs_ProductiveByStrategy(GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_ProductiveByStrategy()`.
    `T` | `visitTraversalStrategyArgs_ReservedKeysVerificationStrategy(GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_ReservedKeysVerificationStrategy()`.
    `T` | `visitTraversalStrategyArgs_SubgraphStrategy(GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_SubgraphStrategy()`.
    `T` | `visitTraversalStrategyExpr(GremlinParser.TraversalStrategyExprContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategyExpr()`.
    `T` | `visitTraversalStrategyList(GremlinParser.TraversalStrategyListContext ctx)` Visit a parse tree produced by `GremlinParser.traversalStrategyList()`.
    `T` | `visitTraversalTerminalMethod_explain(GremlinParser.TraversalTerminalMethod_explainContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_explain()`.
    `T` | `visitTraversalTerminalMethod_hasNext(GremlinParser.TraversalTerminalMethod_hasNextContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_hasNext()`.
    `T` | `visitTraversalTerminalMethod_iterate(GremlinParser.TraversalTerminalMethod_iterateContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_iterate()`.
    `T` | `visitTraversalTerminalMethod_next(GremlinParser.TraversalTerminalMethod_nextContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_next()`.
    `T` | `visitTraversalTerminalMethod_toBulkSet(GremlinParser.TraversalTerminalMethod_toBulkSetContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_toBulkSet()`.
    `T` | `visitTraversalTerminalMethod_toList(GremlinParser.TraversalTerminalMethod_toListContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_toList()`.
    `T` | `visitTraversalTerminalMethod_toSet(GremlinParser.TraversalTerminalMethod_toSetContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_toSet()`.
    `T` | `visitTraversalTerminalMethod_tryNext(GremlinParser.TraversalTerminalMethod_tryNextContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_tryNext()`.
    `T` | `visitTraversalTerminalMethod(GremlinParser.TraversalTerminalMethodContext ctx)` Visit a parse tree produced by `GremlinParser.traversalTerminalMethod()`.
    `T` | `visitTraversalToken(GremlinParser.TraversalTokenContext ctx)` Visit a parse tree produced by `GremlinParser.traversalToken()`.
    `T` | `visitWithOptionsStringConstant(GremlinParser.WithOptionsStringConstantContext ctx)` Visit a parse tree produced by `GremlinParser.withOptionsStringConstant()`.
    `T` | `visitWithOptionsStringConstants(GremlinParser.WithOptionsStringConstantsContext ctx)` Visit a parse tree produced by `GremlinParser.withOptionsStringConstants()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### visitQueryList

          T visitQueryList(GremlinParser.QueryListContext ctx)

      Visit a parse tree produced by `GremlinParser.queryList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitQuery

          T visitQuery(GremlinParser.QueryContext ctx)

      Visit a parse tree produced by `GremlinParser.query()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitEmptyQuery

          T visitEmptyQuery(GremlinParser.EmptyQueryContext ctx)

      Visit a parse tree produced by `GremlinParser.emptyQuery()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSource

          T visitTraversalSource(GremlinParser.TraversalSourceContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSource()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTransactionPart

          T visitTransactionPart(GremlinParser.TransactionPartContext ctx)

      Visit a parse tree produced by `GremlinParser.transactionPart()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitRootTraversal

          T visitRootTraversal(GremlinParser.RootTraversalContext ctx)

      Visit a parse tree produced by `GremlinParser.rootTraversal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod

          T visitTraversalSourceSelfMethod(GremlinParser.TraversalSourceSelfMethodContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withBulk

          T visitTraversalSourceSelfMethod_withBulk(GremlinParser.TraversalSourceSelfMethod_withBulkContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withBulk()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withPath

          T visitTraversalSourceSelfMethod_withPath(GremlinParser.TraversalSourceSelfMethod_withPathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withPath()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withSack

          T visitTraversalSourceSelfMethod_withSack(GremlinParser.TraversalSourceSelfMethod_withSackContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSack()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withSideEffect

          T visitTraversalSourceSelfMethod_withSideEffect(GremlinParser.TraversalSourceSelfMethod_withSideEffectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withSideEffect()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_withStrategies

          T visitTraversalSourceSelfMethod_withStrategies(GremlinParser.TraversalSourceSelfMethod_withStrategiesContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_withStrategies()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSelfMethod_with

          T visitTraversalSourceSelfMethod_with(GremlinParser.TraversalSourceSelfMethod_withContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSelfMethod_with()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSpawnMethod

          T visitTraversalSourceSpawnMethod(GremlinParser.TraversalSourceSpawnMethodContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSpawnMethod_addE

          T visitTraversalSourceSpawnMethod_addE(GremlinParser.TraversalSourceSpawnMethod_addEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addE()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSpawnMethod_addV

          T visitTraversalSourceSpawnMethod_addV(GremlinParser.TraversalSourceSpawnMethod_addVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_addV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSpawnMethod_E

          T visitTraversalSourceSpawnMethod_E(GremlinParser.TraversalSourceSpawnMethod_EContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_E()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSpawnMethod_V

          T visitTraversalSourceSpawnMethod_V(GremlinParser.TraversalSourceSpawnMethod_VContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_V()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSpawnMethod_inject

          T visitTraversalSourceSpawnMethod_inject(GremlinParser.TraversalSourceSpawnMethod_injectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_inject()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSourceSpawnMethod_io

          T visitTraversalSourceSpawnMethod_io(GremlinParser.TraversalSourceSpawnMethod_ioContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSourceSpawnMethod_io()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitChainedTraversal

          T visitChainedTraversal(GremlinParser.ChainedTraversalContext ctx)

      Visit a parse tree produced by `GremlinParser.chainedTraversal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitChainedParentOfGraphTraversal

          T visitChainedParentOfGraphTraversal(GremlinParser.ChainedParentOfGraphTraversalContext ctx)

      Visit a parse tree produced by `GremlinParser.chainedParentOfGraphTraversal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNestedTraversal

          T visitNestedTraversal(GremlinParser.NestedTraversalContext ctx)

      Visit a parse tree produced by `GremlinParser.nestedTraversal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTerminatedTraversal

          T visitTerminatedTraversal(GremlinParser.TerminatedTraversalContext ctx)

      Visit a parse tree produced by `GremlinParser.terminatedTraversal()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod

          T visitTraversalMethod(GremlinParser.TraversalMethodContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_V

          T visitTraversalMethod_V(GremlinParser.TraversalMethod_VContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_V()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addE_String

          T visitTraversalMethod_addE_String(GremlinParser.TraversalMethod_addE_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_addE_String` labeled alternative in `GremlinParser.traversalMethod_addE()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addE_Traversal

          T visitTraversalMethod_addE_Traversal(GremlinParser.TraversalMethod_addE_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_addE_Traversal` labeled alternative in `GremlinParser.traversalMethod_addE()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addV_Empty

          T visitTraversalMethod_addV_Empty(GremlinParser.TraversalMethod_addV_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_addV_Empty` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addV_String

          T visitTraversalMethod_addV_String(GremlinParser.TraversalMethod_addV_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_addV_String` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addV_Traversal

          T visitTraversalMethod_addV_Traversal(GremlinParser.TraversalMethod_addV_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_addV_Traversal` labeled alternative in `GremlinParser.traversalMethod_addV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_aggregate_Scope_String

          T visitTraversalMethod_aggregate_Scope_String(GremlinParser.TraversalMethod_aggregate_Scope_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_aggregate_Scope_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_aggregate_String

          T visitTraversalMethod_aggregate_String(GremlinParser.TraversalMethod_aggregate_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_aggregate_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_and

          T visitTraversalMethod_and(GremlinParser.TraversalMethod_andContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_and()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_as

          T visitTraversalMethod_as(GremlinParser.TraversalMethod_asContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_as()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_barrier_Consumer

          T visitTraversalMethod_barrier_Consumer(GremlinParser.TraversalMethod_barrier_ConsumerContext ctx)

      Visit a parse tree produced by the `traversalMethod_barrier_Consumer` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_barrier_Empty

          T visitTraversalMethod_barrier_Empty(GremlinParser.TraversalMethod_barrier_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_barrier_Empty` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_barrier_int

          T visitTraversalMethod_barrier_int(GremlinParser.TraversalMethod_barrier_intContext ctx)

      Visit a parse tree produced by the `traversalMethod_barrier_int` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_both

          T visitTraversalMethod_both(GremlinParser.TraversalMethod_bothContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_both()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_bothE

          T visitTraversalMethod_bothE(GremlinParser.TraversalMethod_bothEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_bothE()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_bothV

          T visitTraversalMethod_bothV(GremlinParser.TraversalMethod_bothVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_bothV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_branch

          T visitTraversalMethod_branch(GremlinParser.TraversalMethod_branchContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_branch()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Comparator

          T visitTraversalMethod_by_Comparator(GremlinParser.TraversalMethod_by_ComparatorContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Empty

          T visitTraversalMethod_by_Empty(GremlinParser.TraversalMethod_by_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Empty` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Function

          T visitTraversalMethod_by_Function(GremlinParser.TraversalMethod_by_FunctionContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Function` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Function_Comparator

          T visitTraversalMethod_by_Function_Comparator(GremlinParser.TraversalMethod_by_Function_ComparatorContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Function_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Order

          T visitTraversalMethod_by_Order(GremlinParser.TraversalMethod_by_OrderContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Order` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_String

          T visitTraversalMethod_by_String(GremlinParser.TraversalMethod_by_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_String` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_String_Comparator

          T visitTraversalMethod_by_String_Comparator(GremlinParser.TraversalMethod_by_String_ComparatorContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_String_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_T

          T visitTraversalMethod_by_T(GremlinParser.TraversalMethod_by_TContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_T` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Traversal

          T visitTraversalMethod_by_Traversal(GremlinParser.TraversalMethod_by_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Traversal` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Traversal_Comparator

          T visitTraversalMethod_by_Traversal_Comparator(GremlinParser.TraversalMethod_by_Traversal_ComparatorContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Traversal_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_cap

          T visitTraversalMethod_cap(GremlinParser.TraversalMethod_capContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_cap()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Function

          T visitTraversalMethod_choose_Function(GremlinParser.TraversalMethod_choose_FunctionContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Function` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Predicate_Traversal

          T visitTraversalMethod_choose_Predicate_Traversal(GremlinParser.TraversalMethod_choose_Predicate_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Predicate_Traversal_Traversal

          T visitTraversalMethod_choose_Predicate_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Traversal

          T visitTraversalMethod_choose_Traversal(GremlinParser.TraversalMethod_choose_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Traversal_Traversal

          T visitTraversalMethod_choose_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Traversal_Traversal_Traversal

          T visitTraversalMethod_choose_Traversal_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_coalesce

          T visitTraversalMethod_coalesce(GremlinParser.TraversalMethod_coalesceContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_coalesce()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_coin

          T visitTraversalMethod_coin(GremlinParser.TraversalMethod_coinContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_coin()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_connectedComponent

          T visitTraversalMethod_connectedComponent(GremlinParser.TraversalMethod_connectedComponentContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_connectedComponent()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_constant

          T visitTraversalMethod_constant(GremlinParser.TraversalMethod_constantContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_constant()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_count_Empty

          T visitTraversalMethod_count_Empty(GremlinParser.TraversalMethod_count_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_count_Empty` labeled alternative in `GremlinParser.traversalMethod_count()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_count_Scope

          T visitTraversalMethod_count_Scope(GremlinParser.TraversalMethod_count_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_count_Scope` labeled alternative in `GremlinParser.traversalMethod_count()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_cyclicPath

          T visitTraversalMethod_cyclicPath(GremlinParser.TraversalMethod_cyclicPathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_cyclicPath()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_dedup_Scope_String

          T visitTraversalMethod_dedup_Scope_String(GremlinParser.TraversalMethod_dedup_Scope_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_dedup_Scope_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_dedup_String

          T visitTraversalMethod_dedup_String(GremlinParser.TraversalMethod_dedup_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_dedup_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_drop

          T visitTraversalMethod_drop(GremlinParser.TraversalMethod_dropContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_drop()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_elementMap

          T visitTraversalMethod_elementMap(GremlinParser.TraversalMethod_elementMapContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_elementMap()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_emit_Empty

          T visitTraversalMethod_emit_Empty(GremlinParser.TraversalMethod_emit_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_emit_Empty` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_emit_Predicate

          T visitTraversalMethod_emit_Predicate(GremlinParser.TraversalMethod_emit_PredicateContext ctx)

      Visit a parse tree produced by the `traversalMethod_emit_Predicate` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_emit_Traversal

          T visitTraversalMethod_emit_Traversal(GremlinParser.TraversalMethod_emit_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_emit_Traversal` labeled alternative in `GremlinParser.traversalMethod_emit()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_filter_Predicate

          T visitTraversalMethod_filter_Predicate(GremlinParser.TraversalMethod_filter_PredicateContext ctx)

      Visit a parse tree produced by the `traversalMethod_filter_Predicate` labeled alternative in `GremlinParser.traversalMethod_filter()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_filter_Traversal

          T visitTraversalMethod_filter_Traversal(GremlinParser.TraversalMethod_filter_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_filter_Traversal` labeled alternative in `GremlinParser.traversalMethod_filter()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_flatMap

          T visitTraversalMethod_flatMap(GremlinParser.TraversalMethod_flatMapContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_flatMap()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_fold_Empty

          T visitTraversalMethod_fold_Empty(GremlinParser.TraversalMethod_fold_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_fold_Empty` labeled alternative in `GremlinParser.traversalMethod_fold()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_fold_Object_BiFunction

          T visitTraversalMethod_fold_Object_BiFunction(GremlinParser.TraversalMethod_fold_Object_BiFunctionContext ctx)

      Visit a parse tree produced by the `traversalMethod_fold_Object_BiFunction` labeled alternative in `GremlinParser.traversalMethod_fold()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_from_String

          T visitTraversalMethod_from_String(GremlinParser.TraversalMethod_from_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_from_String` labeled alternative in `GremlinParser.traversalMethod_from()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_from_Traversal

          T visitTraversalMethod_from_Traversal(GremlinParser.TraversalMethod_from_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_from_Traversal` labeled alternative in `GremlinParser.traversalMethod_from()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_group_Empty

          T visitTraversalMethod_group_Empty(GremlinParser.TraversalMethod_group_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_group_Empty` labeled alternative in `GremlinParser.traversalMethod_group()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_group_String

          T visitTraversalMethod_group_String(GremlinParser.TraversalMethod_group_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_group_String` labeled alternative in `GremlinParser.traversalMethod_group()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_groupCount_Empty

          T visitTraversalMethod_groupCount_Empty(GremlinParser.TraversalMethod_groupCount_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_groupCount_Empty` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_groupCount_String

          T visitTraversalMethod_groupCount_String(GremlinParser.TraversalMethod_groupCount_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_groupCount_String` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String

          T visitTraversalMethod_has_String(GremlinParser.TraversalMethod_has_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_Object

          T visitTraversalMethod_has_String_Object(GremlinParser.TraversalMethod_has_String_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_P

          T visitTraversalMethod_has_String_P(GremlinParser.TraversalMethod_has_String_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_String_Object

          T visitTraversalMethod_has_String_String_Object(GremlinParser.TraversalMethod_has_String_String_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_String_P

          T visitTraversalMethod_has_String_String_P(GremlinParser.TraversalMethod_has_String_String_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_Traversal

          T visitTraversalMethod_has_String_Traversal(GremlinParser.TraversalMethod_has_String_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_T_Object

          T visitTraversalMethod_has_T_Object(GremlinParser.TraversalMethod_has_T_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_T_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_T_P

          T visitTraversalMethod_has_T_P(GremlinParser.TraversalMethod_has_T_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_T_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_T_Traversal

          T visitTraversalMethod_has_T_Traversal(GremlinParser.TraversalMethod_has_T_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_T_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasId_Object_Object

          T visitTraversalMethod_hasId_Object_Object(GremlinParser.TraversalMethod_hasId_Object_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasId_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasId_P

          T visitTraversalMethod_hasId_P(GremlinParser.TraversalMethod_hasId_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasId_P` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasKey_P

          T visitTraversalMethod_hasKey_P(GremlinParser.TraversalMethod_hasKey_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasKey_P` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasKey_String_String

          T visitTraversalMethod_hasKey_String_String(GremlinParser.TraversalMethod_hasKey_String_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasKey_String_String` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasLabel_P

          T visitTraversalMethod_hasLabel_P(GremlinParser.TraversalMethod_hasLabel_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasLabel_P` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasLabel_String_String

          T visitTraversalMethod_hasLabel_String_String(GremlinParser.TraversalMethod_hasLabel_String_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasLabel_String_String` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasNot

          T visitTraversalMethod_hasNot(GremlinParser.TraversalMethod_hasNotContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_hasNot()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasValue_Object_Object

          T visitTraversalMethod_hasValue_Object_Object(GremlinParser.TraversalMethod_hasValue_Object_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasValue_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasValue_P

          T visitTraversalMethod_hasValue_P(GremlinParser.TraversalMethod_hasValue_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasValue_P` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_id

          T visitTraversalMethod_id(GremlinParser.TraversalMethod_idContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_id()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_identity

          T visitTraversalMethod_identity(GremlinParser.TraversalMethod_identityContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_identity()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_in

          T visitTraversalMethod_in(GremlinParser.TraversalMethod_inContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_in()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_inE

          T visitTraversalMethod_inE(GremlinParser.TraversalMethod_inEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_inE()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_inV

          T visitTraversalMethod_inV(GremlinParser.TraversalMethod_inVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_inV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_index

          T visitTraversalMethod_index(GremlinParser.TraversalMethod_indexContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_index()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_inject

          T visitTraversalMethod_inject(GremlinParser.TraversalMethod_injectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_inject()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_is_Object

          T visitTraversalMethod_is_Object(GremlinParser.TraversalMethod_is_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_is_Object` labeled alternative in `GremlinParser.traversalMethod_is()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_is_P

          T visitTraversalMethod_is_P(GremlinParser.TraversalMethod_is_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_is_P` labeled alternative in `GremlinParser.traversalMethod_is()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_key

          T visitTraversalMethod_key(GremlinParser.TraversalMethod_keyContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_key()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_label

          T visitTraversalMethod_label(GremlinParser.TraversalMethod_labelContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_label()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_limit_Scope_long

          T visitTraversalMethod_limit_Scope_long(GremlinParser.TraversalMethod_limit_Scope_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_limit_Scope_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_limit_long

          T visitTraversalMethod_limit_long(GremlinParser.TraversalMethod_limit_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_limit_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_local

          T visitTraversalMethod_local(GremlinParser.TraversalMethod_localContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_local()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_loops_Empty

          T visitTraversalMethod_loops_Empty(GremlinParser.TraversalMethod_loops_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_loops_Empty` labeled alternative in `GremlinParser.traversalMethod_loops()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_loops_String

          T visitTraversalMethod_loops_String(GremlinParser.TraversalMethod_loops_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_loops_String` labeled alternative in `GremlinParser.traversalMethod_loops()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_map

          T visitTraversalMethod_map(GremlinParser.TraversalMethod_mapContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_map()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_match

          T visitTraversalMethod_match(GremlinParser.TraversalMethod_matchContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_match()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_math

          T visitTraversalMethod_math(GremlinParser.TraversalMethod_mathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_math()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_max_Empty

          T visitTraversalMethod_max_Empty(GremlinParser.TraversalMethod_max_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_max_Empty` labeled alternative in `GremlinParser.traversalMethod_max()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_max_Scope

          T visitTraversalMethod_max_Scope(GremlinParser.TraversalMethod_max_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_max_Scope` labeled alternative in `GremlinParser.traversalMethod_max()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_mean_Empty

          T visitTraversalMethod_mean_Empty(GremlinParser.TraversalMethod_mean_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_mean_Empty` labeled alternative in `GremlinParser.traversalMethod_mean()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_mean_Scope

          T visitTraversalMethod_mean_Scope(GremlinParser.TraversalMethod_mean_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_mean_Scope` labeled alternative in `GremlinParser.traversalMethod_mean()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_min_Empty

          T visitTraversalMethod_min_Empty(GremlinParser.TraversalMethod_min_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_min_Empty` labeled alternative in `GremlinParser.traversalMethod_min()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_min_Scope

          T visitTraversalMethod_min_Scope(GremlinParser.TraversalMethod_min_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_min_Scope` labeled alternative in `GremlinParser.traversalMethod_min()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_not

          T visitTraversalMethod_not(GremlinParser.TraversalMethod_notContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_not()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_option_Predicate_Traversal

          T visitTraversalMethod_option_Predicate_Traversal(GremlinParser.TraversalMethod_option_Predicate_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_option_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_option_Object_Traversal

          T visitTraversalMethod_option_Object_Traversal(GremlinParser.TraversalMethod_option_Object_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_option_Object_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_option_Traversal

          T visitTraversalMethod_option_Traversal(GremlinParser.TraversalMethod_option_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_option_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_optional

          T visitTraversalMethod_optional(GremlinParser.TraversalMethod_optionalContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_optional()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_or

          T visitTraversalMethod_or(GremlinParser.TraversalMethod_orContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_or()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_order_Empty

          T visitTraversalMethod_order_Empty(GremlinParser.TraversalMethod_order_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_order_Empty` labeled alternative in `GremlinParser.traversalMethod_order()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_order_Scope

          T visitTraversalMethod_order_Scope(GremlinParser.TraversalMethod_order_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_order_Scope` labeled alternative in `GremlinParser.traversalMethod_order()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_otherV

          T visitTraversalMethod_otherV(GremlinParser.TraversalMethod_otherVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_otherV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_out

          T visitTraversalMethod_out(GremlinParser.TraversalMethod_outContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_out()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_outE

          T visitTraversalMethod_outE(GremlinParser.TraversalMethod_outEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_outE()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_outV

          T visitTraversalMethod_outV(GremlinParser.TraversalMethod_outVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_outV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_pageRank_Empty

          T visitTraversalMethod_pageRank_Empty(GremlinParser.TraversalMethod_pageRank_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_pageRank_Empty` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_pageRank_double

          T visitTraversalMethod_pageRank_double(GremlinParser.TraversalMethod_pageRank_doubleContext ctx)

      Visit a parse tree produced by the `traversalMethod_pageRank_double` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_path

          T visitTraversalMethod_path(GremlinParser.TraversalMethod_pathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_path()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_peerPressure

          T visitTraversalMethod_peerPressure(GremlinParser.TraversalMethod_peerPressureContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_peerPressure()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_profile_Empty

          T visitTraversalMethod_profile_Empty(GremlinParser.TraversalMethod_profile_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_profile_Empty` labeled alternative in `GremlinParser.traversalMethod_profile()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_profile_String

          T visitTraversalMethod_profile_String(GremlinParser.TraversalMethod_profile_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_profile_String` labeled alternative in `GremlinParser.traversalMethod_profile()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_project

          T visitTraversalMethod_project(GremlinParser.TraversalMethod_projectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_project()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_properties

          T visitTraversalMethod_properties(GremlinParser.TraversalMethod_propertiesContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_properties()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_property_Cardinality_Object_Object_Object

          T visitTraversalMethod_property_Cardinality_Object_Object_Object(GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_property_Cardinality_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_property_Object_Object_Object

          T visitTraversalMethod_property_Object_Object_Object(GremlinParser.TraversalMethod_property_Object_Object_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_property_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_propertyMap

          T visitTraversalMethod_propertyMap(GremlinParser.TraversalMethod_propertyMapContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_propertyMap()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_range_Scope_long_long

          T visitTraversalMethod_range_Scope_long_long(GremlinParser.TraversalMethod_range_Scope_long_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_range_Scope_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_range_long_long

          T visitTraversalMethod_range_long_long(GremlinParser.TraversalMethod_range_long_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_range_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_read

          T visitTraversalMethod_read(GremlinParser.TraversalMethod_readContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_read()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_repeat_String_Traversal

          T visitTraversalMethod_repeat_String_Traversal(GremlinParser.TraversalMethod_repeat_String_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_repeat_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_repeat_Traversal

          T visitTraversalMethod_repeat_Traversal(GremlinParser.TraversalMethod_repeat_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_repeat_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sack_BiFunction

          T visitTraversalMethod_sack_BiFunction(GremlinParser.TraversalMethod_sack_BiFunctionContext ctx)

      Visit a parse tree produced by the `traversalMethod_sack_BiFunction` labeled alternative in `GremlinParser.traversalMethod_sack()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sack_Empty

          T visitTraversalMethod_sack_Empty(GremlinParser.TraversalMethod_sack_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_sack_Empty` labeled alternative in `GremlinParser.traversalMethod_sack()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sample_Scope_int

          T visitTraversalMethod_sample_Scope_int(GremlinParser.TraversalMethod_sample_Scope_intContext ctx)

      Visit a parse tree produced by the `traversalMethod_sample_Scope_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sample_int

          T visitTraversalMethod_sample_int(GremlinParser.TraversalMethod_sample_intContext ctx)

      Visit a parse tree produced by the `traversalMethod_sample_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Column

          T visitTraversalMethod_select_Column(GremlinParser.TraversalMethod_select_ColumnContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_Column` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Pop_String

          T visitTraversalMethod_select_Pop_String(GremlinParser.TraversalMethod_select_Pop_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_Pop_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Pop_String_String_String

          T visitTraversalMethod_select_Pop_String_String_String(GremlinParser.TraversalMethod_select_Pop_String_String_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_Pop_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Pop_Traversal

          T visitTraversalMethod_select_Pop_Traversal(GremlinParser.TraversalMethod_select_Pop_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_Pop_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_String

          T visitTraversalMethod_select_String(GremlinParser.TraversalMethod_select_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_String_String_String

          T visitTraversalMethod_select_String_String_String(GremlinParser.TraversalMethod_select_String_String_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Traversal

          T visitTraversalMethod_select_Traversal(GremlinParser.TraversalMethod_select_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_shortestPath

          T visitTraversalMethod_shortestPath(GremlinParser.TraversalMethod_shortestPathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_shortestPath()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sideEffect

          T visitTraversalMethod_sideEffect(GremlinParser.TraversalMethod_sideEffectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_sideEffect()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_simplePath

          T visitTraversalMethod_simplePath(GremlinParser.TraversalMethod_simplePathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_simplePath()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_skip_Scope_long

          T visitTraversalMethod_skip_Scope_long(GremlinParser.TraversalMethod_skip_Scope_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_skip_Scope_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_skip_long

          T visitTraversalMethod_skip_long(GremlinParser.TraversalMethod_skip_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_skip_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_store

          T visitTraversalMethod_store(GremlinParser.TraversalMethod_storeContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_store()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_subgraph

          T visitTraversalMethod_subgraph(GremlinParser.TraversalMethod_subgraphContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_subgraph()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sum_Empty

          T visitTraversalMethod_sum_Empty(GremlinParser.TraversalMethod_sum_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_sum_Empty` labeled alternative in `GremlinParser.traversalMethod_sum()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sum_Scope

          T visitTraversalMethod_sum_Scope(GremlinParser.TraversalMethod_sum_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_sum_Scope` labeled alternative in `GremlinParser.traversalMethod_sum()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tail_Empty

          T visitTraversalMethod_tail_Empty(GremlinParser.TraversalMethod_tail_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_tail_Empty` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tail_Scope

          T visitTraversalMethod_tail_Scope(GremlinParser.TraversalMethod_tail_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_tail_Scope` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tail_Scope_long

          T visitTraversalMethod_tail_Scope_long(GremlinParser.TraversalMethod_tail_Scope_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_tail_Scope_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tail_long

          T visitTraversalMethod_tail_long(GremlinParser.TraversalMethod_tail_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_tail_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_timeLimit

          T visitTraversalMethod_timeLimit(GremlinParser.TraversalMethod_timeLimitContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_timeLimit()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_times

          T visitTraversalMethod_times(GremlinParser.TraversalMethod_timesContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_times()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_to_Direction_String

          T visitTraversalMethod_to_Direction_String(GremlinParser.TraversalMethod_to_Direction_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_to_Direction_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_to_String

          T visitTraversalMethod_to_String(GremlinParser.TraversalMethod_to_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_to_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_to_Traversal

          T visitTraversalMethod_to_Traversal(GremlinParser.TraversalMethod_to_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_to_Traversal` labeled alternative in `GremlinParser.traversalMethod_to()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_toE

          T visitTraversalMethod_toE(GremlinParser.TraversalMethod_toEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_toE()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_toV

          T visitTraversalMethod_toV(GremlinParser.TraversalMethod_toVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_toV()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tree_Empty

          T visitTraversalMethod_tree_Empty(GremlinParser.TraversalMethod_tree_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_tree_Empty` labeled alternative in `GremlinParser.traversalMethod_tree()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tree_String

          T visitTraversalMethod_tree_String(GremlinParser.TraversalMethod_tree_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_tree_String` labeled alternative in `GremlinParser.traversalMethod_tree()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_unfold

          T visitTraversalMethod_unfold(GremlinParser.TraversalMethod_unfoldContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_unfold()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_union

          T visitTraversalMethod_union(GremlinParser.TraversalMethod_unionContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_union()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_until_Predicate

          T visitTraversalMethod_until_Predicate(GremlinParser.TraversalMethod_until_PredicateContext ctx)

      Visit a parse tree produced by the `traversalMethod_until_Predicate` labeled alternative in `GremlinParser.traversalMethod_until()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_until_Traversal

          T visitTraversalMethod_until_Traversal(GremlinParser.TraversalMethod_until_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_until_Traversal` labeled alternative in `GremlinParser.traversalMethod_until()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_value

          T visitTraversalMethod_value(GremlinParser.TraversalMethod_valueContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_value()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_valueMap_String

          T visitTraversalMethod_valueMap_String(GremlinParser.TraversalMethod_valueMap_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_valueMap_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_valueMap_boolean_String

          T visitTraversalMethod_valueMap_boolean_String(GremlinParser.TraversalMethod_valueMap_boolean_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_valueMap_boolean_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_values

          T visitTraversalMethod_values(GremlinParser.TraversalMethod_valuesContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_values()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_where_P

          T visitTraversalMethod_where_P(GremlinParser.TraversalMethod_where_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_where_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_where_String_P

          T visitTraversalMethod_where_String_P(GremlinParser.TraversalMethod_where_String_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_where_String_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_where_Traversal

          T visitTraversalMethod_where_Traversal(GremlinParser.TraversalMethod_where_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_where_Traversal` labeled alternative in `GremlinParser.traversalMethod_where()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_with_String

          T visitTraversalMethod_with_String(GremlinParser.TraversalMethod_with_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_with_String` labeled alternative in `GremlinParser.traversalMethod_with()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_with_String_Object

          T visitTraversalMethod_with_String_Object(GremlinParser.TraversalMethod_with_String_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_with_String_Object` labeled alternative in `GremlinParser.traversalMethod_with()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_write

          T visitTraversalMethod_write(GremlinParser.TraversalMethod_writeContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_write()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategy

          T visitTraversalStrategy(GremlinParser.TraversalStrategyContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalStrategy()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategyArgs_ProductiveByStrategy

          T visitTraversalStrategyArgs_ProductiveByStrategy(GremlinParser.TraversalStrategyArgs_ProductiveByStrategyContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_ProductiveByStrategy()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategyArgs_PartitionStrategy

          T visitTraversalStrategyArgs_PartitionStrategy(GremlinParser.TraversalStrategyArgs_PartitionStrategyContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_PartitionStrategy()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategyArgs_SubgraphStrategy

          T visitTraversalStrategyArgs_SubgraphStrategy(GremlinParser.TraversalStrategyArgs_SubgraphStrategyContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_SubgraphStrategy()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategyArgs_EdgeLabelVerificationStrategy

          T visitTraversalStrategyArgs_EdgeLabelVerificationStrategy(GremlinParser.TraversalStrategyArgs_EdgeLabelVerificationStrategyContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_EdgeLabelVerificationStrategy()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategyArgs_ReservedKeysVerificationStrategy

          T visitTraversalStrategyArgs_ReservedKeysVerificationStrategy(GremlinParser.TraversalStrategyArgs_ReservedKeysVerificationStrategyContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalStrategyArgs_ReservedKeysVerificationStrategy()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalScope

          T visitTraversalScope(GremlinParser.TraversalScopeContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalScope()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalToken

          T visitTraversalToken(GremlinParser.TraversalTokenContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalToken()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalOrder

          T visitTraversalOrder(GremlinParser.TraversalOrderContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalOrder()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalDirection

          T visitTraversalDirection(GremlinParser.TraversalDirectionContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalDirection()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalCardinality

          T visitTraversalCardinality(GremlinParser.TraversalCardinalityContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalCardinality()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalColumn

          T visitTraversalColumn(GremlinParser.TraversalColumnContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalColumn()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPop

          T visitTraversalPop(GremlinParser.TraversalPopContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPop()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalOperator

          T visitTraversalOperator(GremlinParser.TraversalOperatorContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalOperator()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalOptionParent

          T visitTraversalOptionParent(GremlinParser.TraversalOptionParentContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalOptionParent()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate

          T visitTraversalPredicate(GremlinParser.TraversalPredicateContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod

          T visitTraversalTerminalMethod(GremlinParser.TraversalTerminalMethodContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSackMethod

          T visitTraversalSackMethod(GremlinParser.TraversalSackMethodContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSackMethod()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSelfMethod

          T visitTraversalSelfMethod(GremlinParser.TraversalSelfMethodContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSelfMethod()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalComparator

          T visitTraversalComparator(GremlinParser.TraversalComparatorContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalComparator()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalFunction

          T visitTraversalFunction(GremlinParser.TraversalFunctionContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalFunction()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalBiFunction

          T visitTraversalBiFunction(GremlinParser.TraversalBiFunctionContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalBiFunction()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_eq

          T visitTraversalPredicate_eq(GremlinParser.TraversalPredicate_eqContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_eq()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_neq

          T visitTraversalPredicate_neq(GremlinParser.TraversalPredicate_neqContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_neq()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_lt

          T visitTraversalPredicate_lt(GremlinParser.TraversalPredicate_ltContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_lt()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_lte

          T visitTraversalPredicate_lte(GremlinParser.TraversalPredicate_lteContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_lte()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_gt

          T visitTraversalPredicate_gt(GremlinParser.TraversalPredicate_gtContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_gt()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_gte

          T visitTraversalPredicate_gte(GremlinParser.TraversalPredicate_gteContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_gte()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_inside

          T visitTraversalPredicate_inside(GremlinParser.TraversalPredicate_insideContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_inside()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_outside

          T visitTraversalPredicate_outside(GremlinParser.TraversalPredicate_outsideContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_outside()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_between

          T visitTraversalPredicate_between(GremlinParser.TraversalPredicate_betweenContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_between()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_within

          T visitTraversalPredicate_within(GremlinParser.TraversalPredicate_withinContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_within()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_without

          T visitTraversalPredicate_without(GremlinParser.TraversalPredicate_withoutContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_without()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_not

          T visitTraversalPredicate_not(GremlinParser.TraversalPredicate_notContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_not()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_containing

          T visitTraversalPredicate_containing(GremlinParser.TraversalPredicate_containingContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_containing()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_notContaining

          T visitTraversalPredicate_notContaining(GremlinParser.TraversalPredicate_notContainingContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_notContaining()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_startingWith

          T visitTraversalPredicate_startingWith(GremlinParser.TraversalPredicate_startingWithContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_startingWith()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_notStartingWith

          T visitTraversalPredicate_notStartingWith(GremlinParser.TraversalPredicate_notStartingWithContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_notStartingWith()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_endingWith

          T visitTraversalPredicate_endingWith(GremlinParser.TraversalPredicate_endingWithContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_endingWith()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalPredicate_notEndingWith

          T visitTraversalPredicate_notEndingWith(GremlinParser.TraversalPredicate_notEndingWithContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalPredicate_notEndingWith()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod_explain

          T visitTraversalTerminalMethod_explain(GremlinParser.TraversalTerminalMethod_explainContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_explain()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod_hasNext

          T visitTraversalTerminalMethod_hasNext(GremlinParser.TraversalTerminalMethod_hasNextContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_hasNext()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod_iterate

          T visitTraversalTerminalMethod_iterate(GremlinParser.TraversalTerminalMethod_iterateContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_iterate()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod_tryNext

          T visitTraversalTerminalMethod_tryNext(GremlinParser.TraversalTerminalMethod_tryNextContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_tryNext()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod_next

          T visitTraversalTerminalMethod_next(GremlinParser.TraversalTerminalMethod_nextContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_next()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod_toList

          T visitTraversalTerminalMethod_toList(GremlinParser.TraversalTerminalMethod_toListContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_toList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod_toSet

          T visitTraversalTerminalMethod_toSet(GremlinParser.TraversalTerminalMethod_toSetContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_toSet()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalTerminalMethod_toBulkSet

          T visitTraversalTerminalMethod_toBulkSet(GremlinParser.TraversalTerminalMethod_toBulkSetContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalTerminalMethod_toBulkSet()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalSelfMethod_none

          T visitTraversalSelfMethod_none(GremlinParser.TraversalSelfMethod_noneContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalSelfMethod_none()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants

          T visitGremlinStringConstants(GremlinParser.GremlinStringConstantsContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitConnectedComponentConstants

          T visitConnectedComponentConstants(GremlinParser.ConnectedComponentConstantsContext ctx)

      Visit a parse tree produced by `GremlinParser.connectedComponentConstants()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPageRankStringConstants

          T visitPageRankStringConstants(GremlinParser.PageRankStringConstantsContext ctx)

      Visit a parse tree produced by `GremlinParser.pageRankStringConstants()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPeerPressureStringConstants

          T visitPeerPressureStringConstants(GremlinParser.PeerPressureStringConstantsContext ctx)

      Visit a parse tree produced by `GremlinParser.peerPressureStringConstants()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitShortestPathStringConstants

          T visitShortestPathStringConstants(GremlinParser.ShortestPathStringConstantsContext ctx)

      Visit a parse tree produced by `GremlinParser.shortestPathStringConstants()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitWithOptionsStringConstants

          T visitWithOptionsStringConstants(GremlinParser.WithOptionsStringConstantsContext ctx)

      Visit a parse tree produced by `GremlinParser.withOptionsStringConstants()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIoOptionsStringConstants

          T visitIoOptionsStringConstants(GremlinParser.IoOptionsStringConstantsContext ctx)

      Visit a parse tree produced by `GremlinParser.ioOptionsStringConstants()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_connectedComponentStringConstants_component

          T visitGremlinStringConstants_connectedComponentStringConstants_component(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_componentContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_component()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_connectedComponentStringConstants_edges

          T visitGremlinStringConstants_connectedComponentStringConstants_edges(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_edgesContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_connectedComponentStringConstants_propertyName

          T visitGremlinStringConstants_connectedComponentStringConstants_propertyName(GremlinParser.GremlinStringConstants_connectedComponentStringConstants_propertyNameContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_connectedComponentStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_pageRankStringConstants_edges

          T visitGremlinStringConstants_pageRankStringConstants_edges(GremlinParser.GremlinStringConstants_pageRankStringConstants_edgesContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_pageRankStringConstants_times

          T visitGremlinStringConstants_pageRankStringConstants_times(GremlinParser.GremlinStringConstants_pageRankStringConstants_timesContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_times()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_pageRankStringConstants_propertyName

          T visitGremlinStringConstants_pageRankStringConstants_propertyName(GremlinParser.GremlinStringConstants_pageRankStringConstants_propertyNameContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_pageRankStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_peerPressureStringConstants_edges

          T visitGremlinStringConstants_peerPressureStringConstants_edges(GremlinParser.GremlinStringConstants_peerPressureStringConstants_edgesContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_peerPressureStringConstants_times

          T visitGremlinStringConstants_peerPressureStringConstants_times(GremlinParser.GremlinStringConstants_peerPressureStringConstants_timesContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_times()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_peerPressureStringConstants_propertyName

          T visitGremlinStringConstants_peerPressureStringConstants_propertyName(GremlinParser.GremlinStringConstants_peerPressureStringConstants_propertyNameContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_peerPressureStringConstants_propertyName()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_target

          T visitGremlinStringConstants_shortestPathStringConstants_target(GremlinParser.GremlinStringConstants_shortestPathStringConstants_targetContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_target()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_edges

          T visitGremlinStringConstants_shortestPathStringConstants_edges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_edgesContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_edges()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_distance

          T visitGremlinStringConstants_shortestPathStringConstants_distance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_distanceContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_distance()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_maxDistance

          T visitGremlinStringConstants_shortestPathStringConstants_maxDistance(GremlinParser.GremlinStringConstants_shortestPathStringConstants_maxDistanceContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_maxDistance()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_shortestPathStringConstants_includeEdges

          T visitGremlinStringConstants_shortestPathStringConstants_includeEdges(GremlinParser.GremlinStringConstants_shortestPathStringConstants_includeEdgesContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_shortestPathStringConstants_includeEdges()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_tokens

          T visitGremlinStringConstants_withOptionsStringConstants_tokens(GremlinParser.GremlinStringConstants_withOptionsStringConstants_tokensContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_tokens()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_none

          T visitGremlinStringConstants_withOptionsStringConstants_none(GremlinParser.GremlinStringConstants_withOptionsStringConstants_noneContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_none()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_ids

          T visitGremlinStringConstants_withOptionsStringConstants_ids(GremlinParser.GremlinStringConstants_withOptionsStringConstants_idsContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_ids()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_labels

          T visitGremlinStringConstants_withOptionsStringConstants_labels(GremlinParser.GremlinStringConstants_withOptionsStringConstants_labelsContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_labels()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_keys

          T visitGremlinStringConstants_withOptionsStringConstants_keys(GremlinParser.GremlinStringConstants_withOptionsStringConstants_keysContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_keys()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_values

          T visitGremlinStringConstants_withOptionsStringConstants_values(GremlinParser.GremlinStringConstants_withOptionsStringConstants_valuesContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_values()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_all

          T visitGremlinStringConstants_withOptionsStringConstants_all(GremlinParser.GremlinStringConstants_withOptionsStringConstants_allContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_all()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_indexer

          T visitGremlinStringConstants_withOptionsStringConstants_indexer(GremlinParser.GremlinStringConstants_withOptionsStringConstants_indexerContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_indexer()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_list

          T visitGremlinStringConstants_withOptionsStringConstants_list(GremlinParser.GremlinStringConstants_withOptionsStringConstants_listContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_list()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_withOptionsStringConstants_map

          T visitGremlinStringConstants_withOptionsStringConstants_map(GremlinParser.GremlinStringConstants_withOptionsStringConstants_mapContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_withOptionsStringConstants_map()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_reader

          T visitGremlinStringConstants_ioOptionsStringConstants_reader(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_readerContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_reader()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_writer

          T visitGremlinStringConstants_ioOptionsStringConstants_writer(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_writerContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_writer()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_gryo

          T visitGremlinStringConstants_ioOptionsStringConstants_gryo(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_gryoContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_gryo()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_graphson

          T visitGremlinStringConstants_ioOptionsStringConstants_graphson(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphsonContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphson()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGremlinStringConstants_ioOptionsStringConstants_graphml

          T visitGremlinStringConstants_ioOptionsStringConstants_graphml(GremlinParser.GremlinStringConstants_ioOptionsStringConstants_graphmlContext ctx)

      Visit a parse tree produced by `GremlinParser.gremlinStringConstants_ioOptionsStringConstants_graphml()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitConnectedComponentStringConstant

          T visitConnectedComponentStringConstant(GremlinParser.ConnectedComponentStringConstantContext ctx)

      Visit a parse tree produced by `GremlinParser.connectedComponentStringConstant()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPageRankStringConstant

          T visitPageRankStringConstant(GremlinParser.PageRankStringConstantContext ctx)

      Visit a parse tree produced by `GremlinParser.pageRankStringConstant()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitPeerPressureStringConstant

          T visitPeerPressureStringConstant(GremlinParser.PeerPressureStringConstantContext ctx)

      Visit a parse tree produced by `GremlinParser.peerPressureStringConstant()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitShortestPathStringConstant

          T visitShortestPathStringConstant(GremlinParser.ShortestPathStringConstantContext ctx)

      Visit a parse tree produced by `GremlinParser.shortestPathStringConstant()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitWithOptionsStringConstant

          T visitWithOptionsStringConstant(GremlinParser.WithOptionsStringConstantContext ctx)

      Visit a parse tree produced by `GremlinParser.withOptionsStringConstant()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIoOptionsStringConstant

          T visitIoOptionsStringConstant(GremlinParser.IoOptionsStringConstantContext ctx)

      Visit a parse tree produced by `GremlinParser.ioOptionsStringConstant()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategyList

          T visitTraversalStrategyList(GremlinParser.TraversalStrategyListContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalStrategyList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalStrategyExpr

          T visitTraversalStrategyExpr(GremlinParser.TraversalStrategyExprContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalStrategyExpr()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNestedTraversalList

          T visitNestedTraversalList(GremlinParser.NestedTraversalListContext ctx)

      Visit a parse tree produced by `GremlinParser.nestedTraversalList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNestedTraversalExpr

          T visitNestedTraversalExpr(GremlinParser.NestedTraversalExprContext ctx)

      Visit a parse tree produced by `GremlinParser.nestedTraversalExpr()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralList

          T visitGenericLiteralList(GremlinParser.GenericLiteralListContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralExpr

          T visitGenericLiteralExpr(GremlinParser.GenericLiteralExprContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralExpr()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralRange

          T visitGenericLiteralRange(GremlinParser.GenericLiteralRangeContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralRange()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralCollection

          T visitGenericLiteralCollection(GremlinParser.GenericLiteralCollectionContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralCollection()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStringLiteralList

          T visitStringLiteralList(GremlinParser.StringLiteralListContext ctx)

      Visit a parse tree produced by `GremlinParser.stringLiteralList()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStringLiteralExpr

          T visitStringLiteralExpr(GremlinParser.StringLiteralExprContext ctx)

      Visit a parse tree produced by `GremlinParser.stringLiteralExpr()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteral

          T visitGenericLiteral(GremlinParser.GenericLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteral()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitGenericLiteralMap

          T visitGenericLiteralMap(GremlinParser.GenericLiteralMapContext ctx)

      Visit a parse tree produced by `GremlinParser.genericLiteralMap()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitIntegerLiteral

          T visitIntegerLiteral(GremlinParser.IntegerLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.integerLiteral()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitFloatLiteral

          T visitFloatLiteral(GremlinParser.FloatLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.floatLiteral()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitBooleanLiteral

          T visitBooleanLiteral(GremlinParser.BooleanLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.booleanLiteral()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitStringLiteral

          T visitStringLiteral(GremlinParser.StringLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.stringLiteral()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitDateLiteral

          T visitDateLiteral(GremlinParser.DateLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.dateLiteral()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitNullLiteral

          T visitNullLiteral(GremlinParser.NullLiteralContext ctx)

      Visit a parse tree produced by `GremlinParser.nullLiteral()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.